# $Revision: 1.48 $, $Date: 2004/02/20 15:46:51 $
Summary:	Finds files on a system via a central database
Summary(es):	Localiza archivos en un sistema por medio del banco central de datos
Summary(pl):	Narzdzie do odnajdywania plikw w systemie poprzez specjaln baz danych
Summary(pt_BR):	Localiza arquivos em um sistema via um banco de dados central
Summary(ru):	         
Summary(uk):	 ̦  צ ͦ   ϧ  
Name:		slocate
Version:	2.7
Release:	4
License:	GPL
Group:		Base
Source0:	ftp://ftp.geekreview.org/slocate/src/%{name}-%{version}.tar.gz
# Source0-md5: 4872830642ea2ed5f9aff932720583c9
Source1:	%{name}.cron
Source2:	%{name}-updatedb.conf
Patch0:		%{name}-segfault.patch
Patch1:		%{name}-manpage.patch
Patch2:		%{name}-wht.patch
Patch3:		%{name}-LOCATE_PATH.patch
Patch4:		%{name}-uchar.patch
Patch5:		%{name}-can-2003-0848.patch
URL:		http://www.geekreview.org/slocate/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	crondaemon
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Slocate searches through a central database (updated nightly) for
files which match a given glob pattern. This allows you to quickly
find files anywhere on your system.

%description -l es
Localiza archivos en un sistema por medio del banco central de datos.

%description -l pl
Slocate suy do szybkiego poszukiwania plikw poprzez specjaln baz
danych (aktualizowan co noc). Umoliwia take szybkie odszukanie
pliku wedug podanego wzoru w postaci wyraenia regularnego.

%description -l pt_BR
O slocate localiza arquivos em um sistema via um banco de dados
central (Atualizado toda madrugada). Isto permite a voc localizar
rapidamente arquivos em qualquer parte do seu sistema.

%description -l ru
Slocate -   locate    ( 
  ,       
 ).   locate, slocate   
   ( ,  , )
,   .

%description -l uk
Slocate -  Ӧ locate   Φ (  դ
 ̦, ˦     Ħ  ϧ
).   locate, slocate    Φ ڦ
 ( Ѥ,  , ަ) ̦,  צצ
 .

%prep
%setup -q
gzip -d doc/*.gz
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/cron.daily,/var/lib/slocate}

install slocate $RPM_BUILD_ROOT%{_bindir}
ln -sf slocate $RPM_BUILD_ROOT%{_bindir}/locate
ln -sf slocate $RPM_BUILD_ROOT%{_bindir}/updatedb

install doc/slocate.1.linux $RPM_BUILD_ROOT%{_mandir}/man1/slocate.1
install doc/updatedb.1 $RPM_BUILD_ROOT%{_mandir}/man1/updatedb.1
echo ".so slocate.1" > $RPM_BUILD_ROOT%{_mandir}/man1/locate.1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/slocate
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/updatedb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid slocate`" ]; then
	if [ "`getgid slocate`" != "21" ]; then
		echo "Error: group slocate doesn't have gid=21. Correct this before installing slocate." 1>&2
	       exit 1
	fi
else
	echo "Adding group slocate GID=21."
	/usr/sbin/groupadd -g 21 -r -f slocate
fi

%post
if [ ! -f /var/lib/slocate/slocate.db ]; then
	echo 'Run "%{_bindir}/updatedb" if you want to make slocate database immediately.'
fi

%postun
if [ "$1" = "0" ]; then
	echo "Removing group slocate."
	/usr/sbin/groupdel slocate
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(2755,root,slocate) %{_bindir}/slocate
%attr(0755,root,root) %{_bindir}/locate
%attr(0755,root,root) %{_bindir}/updatedb
%attr(0750,root,root) /etc/cron.daily/slocate
%attr(0640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/updatedb.conf
%dir %attr(750,root,slocate) /var/lib/slocate
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slocate.spec,v $
Revision 1.48  2004/02/20 15:46:51  qboosh
- added uchar patch (bugfix)
- can-2003-0848 patch (frop slocate gid before processing user-supplied databases)
- release 4

Revision 1.47  2003/11/23 02:49:41  undefine
- release 3 to rebuild with ac

Revision 1.46  2003/09/17 13:14:08  domelu
- requires crondaemon

Revision 1.45  2003/08/04 13:36:05  qboosh
- added SLOCATE_PATH patch for:
  - SLOCATE_PATH buffer overstep (using NULL-termination - unlikely to exploit)
  - possible integer overflow in parse_decode_path() (BTS#715, Bugtraq ID 7629)
- release 2

Revision 1.44  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 06:26:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/02/03 21:27:06  kloczek
- merge translations from KSI.

Revision 1.41  2003/02/03 19:21:24  qboosh
- SECURITY update to 2.7 (exploitable SEGV), updated manpage patch
- STBR to ra/updates/security

Revision 1.40  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.39  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/08/17 21:03:48  qboosh
- better messages in pre, more specific Requires, release 4

Revision 1.37  2002/06/11 14:39:48  blues
- new doc
- /var/lib/slocate has attr 750 now

Revision 1.36  2002/05/21 23:14:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/09/30 12:38:52  qboosh
- display message instead of making database in post
- remove group in postun, not preun
- fixed updatedb(1) manual
- changed cron file from slocate.cron to slocate, standarized perms (0750)
- slocate supports /etc/updatedb.conf - so use it instead of hardcoded
  exclude paths in .cron file
- added /var/spool and /var/cache to excludes
- release 3

Revision 1.30  2001/09/24 16:21:31  blues
- cosmetics

Revision 1.29  2001/09/24 08:38:55  kloczek
- updated to 2.6,
- merged rawhide patches.

Revision 1.28  2001/09/23 22:18:29  blues
- release 3
- ac2.5 ready
- added some translations
- (post) requires added
- pre corrected
- making db in post added

Revision 1.27  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/02/19 17:21:36  qboosh
- added doc
- release 2

Revision 1.23  2001/02/17 19:44:29  qboosh
- use %%{debug} macro
- segv patch: regexp search now works

Revision 1.22  2000/12/30 23:53:13  areq
- updated to 2.5

Revision 1.21  2000/09/18 07:41:43  kloczek
- updated to 2.3.

Revision 1.20  2000/07/17 00:27:19  kloczek
- added segv patch from MDK.

Revision 1.19  2000/07/17 00:24:18  kloczek
- release 2.

Revision 1.18  2000/06/23 11:08:26  kloczek
- xpec adapterized.

Revision 1.17  2000/06/23 06:56:32  wiget
2.2

Revision 1.16  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.14  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.12  1999/12/08 20:02:01  wiget
- updated to 2.1

Revision 1.11  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.6-1]
- added removing group slocate on uninstalling package (added to Prereq
  /usr/sbin/groupdel),
- changed location slocate db directory to /var/db/slocate to be compliant
  with FHS 2.0 (slocate-fhs.patch),
- updatedb is now sym link to slocate,
- all man pages ar in source tar ball.

* Thu May  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.5-1]
- added updatedb(1) man page,
- removed "Prereq: shadow-utils".

* Tue Apr  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.4-5]
- added slocate(1) man pages as *roff include to locate(1),
- added Prereq: %{_sbindir}/groupadd,
- added pl translation,
- added gzipping man pages.

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre
